/**
 * Represents the state of the selection in the RTE.
 */
export class RTESelectionState {
  constructor(range) {
    this.range = range;
  }
  /**
   * Clones the selection state, updating the range nodes based on the provided content.
   *
   * @returns {RTESelectionState} A new instance of RTESelectionState with the updated range.
   */
  clone() {
    const newRange = this.range.clone();
    return new RTESelectionState(newRange);
  }
}
